org.apache.sling.validation.impl.model

## Class ValidationModelImpl

- java.lang.Object
- - org.apache.sling.validation.impl.model.ValidationModelImpl

All Implemented Interfaces:
  org.apache.sling.validation.model.ValidationModel

    public class ValidationModelImpl
    extends Object
    implements org.apache.sling.validation.model.ValidationModel

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Collection<String>` `getApplicablePaths()`
`List<org.apache.sling.validation.model.ChildResource>` `getChildren()`
`List<org.apache.sling.validation.model.ResourceProperty>` `getResourceProperties()`
`String` `getSource()`
`String` `getValidatingResourceType()`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getResourceProperties

    @Nonnull
    public List<org.apache.sling.validation.model.ResourceProperty> getResourceProperties()

Specified by:
  `getResourceProperties` in interface `org.apache.sling.validation.model.ValidationModel`

#### getValidatingResourceType

    @Nonnull
    public String getValidatingResourceType()

Specified by:
  `getValidatingResourceType` in interface `org.apache.sling.validation.model.ValidationModel`

#### getApplicablePaths

    @Nonnull
    public Collection<String> getApplicablePaths()

Specified by:
  `getApplicablePaths` in interface `org.apache.sling.validation.model.ValidationModel`

#### getChildren

    @Nonnull
    public List<org.apache.sling.validation.model.ChildResource> getChildren()

Specified by:
  `getChildren` in interface `org.apache.sling.validation.model.ValidationModel`

#### getSource

    @Nonnull
    public String getSource()

Specified by:
  `getSource` in interface `org.apache.sling.validation.model.ValidationModel`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`